import request from "../utiils/request.js"

// 报名
export const toSign = params => request.get('/pay/pay', params);
// 支付状态查询
export const poyStatus = params => request.get('/pay/get_pay', params);
// 报名历史列表
export const signList = params => request.get('/user/sign_list', params);
// 报名历史详情
export const seasonLog = params => request.get('/user/get_season_log', params);
// 报名凭证
export const lookSign = params => request.get('/sign/look_sign', params);
// 已报名的名单
export const enrollList = params => request.get('/enroll/get_enroll_user', params);
// 后台表单label
export const getFrom = params => request.get('/pay/get_form', params);
// 提交填写好表单
export const subFrom = params => request.post('/pay/submit_form', params);
//查看表单（个人报名的时候填写的表单内容）
export const lookForm = params => request.post('/pay/look_form', params);
// 报名管理列表
export const getSignDetail = params => request.get('/sign/get_sign_detail', params);
// 获取个人报名信息
export const getUserDetail = params => request.get('/sign/get_user_detail', params);
// 获取是否已经报名
export const userSignUpInfo = () => request.get('/pay/get_basic_info');
